import threading

class Dispatcher:

    threads = []
    callbackExecutor = None

    def __init__(self, callbackExecutor):
        self.callbackExecutor = callbackExecutor

    def execute(self, audio_file):
        thread = threading.Thread(target=self._execute_thread, args=(audio_file.pathname,))
        thread.start()

    def _execute_thread(self, audio_file):
        self.callbackExecutor.execute(audio_file)